# Changelog

All notable changes to this project will be documented in this file.
This project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [1-4-4] [r4.24.0] 

### Changed

**Fixes**

- [#19395] Fixed a null pointer exception while creating the JSON object to send to CKAN to create the user

## [1-4-3] [r4.23.0] - 2020-05-22

### Changed

- [#19295] Social Post is disabled if not explicitly enabled by the client 

## [v1-4-2] [r4.20.0]- 2020-02-14


### Added

**Features**

- Added method to retrieve a persisted file

### Changed

**Fixes**

- Considering that a file could not be persisted because it could be published via portlet


## [1-4-1] - 2019-12-20

### Changed

**Fixes**

- Fixed distro files and pom according to new release procedure

- Fixed metadata checks

## [1-4-0] - 2019-11-06

### Added

**Features**

- [#17635] Items listing API when invoked at VO level allow to get all the catalogue items or filtering them by organization

- [#17645] Enabled the possibility of filtering the result of items listing API

### Changed

**Fixes**

- [#16360] User information are checked/updated on CKAN using portal information

## [1-3-0] - 2019-06-12

### Changed

**Fixes**

- [#16740] Removed the requirement of providing the id of an item in update

## [1-2-0] - 2019-06-12

### Changed

**Fixes**

- Separated REST class for Profile management from the logic which effectively manage profile on IS

- [#16182] Tags are now properly created/added according to profile definition

- [#16183] Groups are now properly created/added according to profile definition

- [#16330] Fixed bug on getting responses from social service

- [#16347] Setting format in resources

- [#16354] Validated provided LicenseId for Item

- [#16410] Capacity field is removed from the provided item content if any

- [#16322] Fixed bug on social post creation

- [#16322] Added the possibility to disable social post on item creation

- [#16322] Improved social post message 

- [#16635] Added support to publish in specific organizations when the request is not performed at VRE level

## [1-1-0] - 2019-02-26

### Changed

**Fixes**

- [#13309] Added Item URL via URI Resolver in extras field

- [#13303] The final URL is retrieved only URI resolver pointing to Storage Hub

- [#13306] Enforched items to be searchable in 'extras' field

- [#13307] Switched item listing to use package_search in place of package_list

- [#13076] Refactored to use storage-hub-persistence library 

- [#13079] Added Create/Update/Delete in Profile Collection 

- Fixed issues in Resource collection

- Refactored to use gcat-api library


## [1-0-0] - 2018-12-07

First Release
